commit:     2b90fa9890229a4061a1bde0ac9322d292ed115f
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 09:19:15 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 31 09:19:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b90fa98

sci-astronomy/pal: drop deprecated ltprune eclass

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-astronomy/pal/pal-0.9.7.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/sci-astronomy/pal/pal-0.9.7.ebuild 
b/sci-astronomy/pal/pal-0.9.7.ebuild
index 5ddae8ed01f..3ab899f976b 100644
--- a/sci-astronomy/pal/pal-0.9.7.ebuild
+++ b/sci-astronomy/pal/pal-0.9.7.ebuild
@@ -3,8 +3,6 @@
 
 EAPI=6
 
-inherit ltprune
-
 DESCRIPTION="Positional Astronomy Library"
 HOMEPAGE="https://github.com/Starlink/pal";
 
SRC_URI="https://github.com/Starlink/${PN}/releases/download/v${PV}/${P}.tar.gz";
@@ -25,8 +23,12 @@ src_configure() {
 
 src_install() {
        default
+
        # remove cruft from non-fhs compliant
        rm -r "${ED}"usr/share/pal || die
        rm -r "${ED}"usr/{docs,manifests,news} || die
-       use static-libs || prune_libtool_files --all
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
 }

Reply via email to